| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Static Private Attributes | List of all members
Gaudi.Main.BootstrapHelper.StatusCode Class Reference
Inheritance diagram for Gaudi.Main.BootstrapHelper.StatusCode:
[legend]
Collaboration diagram for Gaudi.Main.BootstrapHelper.StatusCode:
[legend]

## Public Member Functions
def | __init__ (self, value)
def | __bool__ (self)
def | isSuccess (self)
def | isFailure (self)
def | ignore (self)

## Public Attributes
| value

## Static Private Attributes
| __nonzero__ = __bool__

## Detailed Description

Definition at line 11 of file Main.py.

## Constructor & Destructor Documentation

def Gaudi.Main.BootstrapHelper.StatusCode.__init__ | ( |  | self,
|  |  | value
| ) |  |

Definition at line 12 of file Main.py.

12 def __init__(self, value):
13 self.value = value
14
Gaudi.Main.BootstrapHelper.StatusCode.value
value
Definition: Main.py:13
Gaudi.Main.BootstrapHelper.StatusCode.__init__
def __init__(self, value)
Definition: Main.py:12

## Member Function Documentation

def Gaudi.Main.BootstrapHelper.StatusCode.__bool__ | ( |  | self | ) |

Definition at line 15 of file Main.py.

15 def __bool__(self):
16 return self.value
Gaudi.Main.BootstrapHelper.StatusCode.__bool__
def __bool__(self)
Definition: Main.py:15
Gaudi.Main.BootstrapHelper.StatusCode.value
value
Definition: Main.py:13

def Gaudi.Main.BootstrapHelper.StatusCode.ignore | ( |  | self | ) |

Definition at line 25 of file Main.py.

25 def ignore(self):
26 pass
27
28 class Property(object):
Gaudi.Main.BootstrapHelper.Property
Definition: Main.py:28
Gaudi.Main.BootstrapHelper.StatusCode.ignore
def ignore(self)
Definition: Main.py:25

def Gaudi.Main.BootstrapHelper.StatusCode.isFailure | ( |  | self | ) |

Definition at line 22 of file Main.py.

22 def isFailure(self):
23 return not self.value
24
Gaudi.Main.BootstrapHelper.StatusCode.value
value
Definition: Main.py:13
Gaudi.Main.BootstrapHelper.StatusCode.isFailure
def isFailure(self)
Definition: Main.py:22

def Gaudi.Main.BootstrapHelper.StatusCode.isSuccess | ( |  | self | ) |

Definition at line 19 of file Main.py.

19 def isSuccess(self):
20 return self.value
21
Gaudi.Main.BootstrapHelper.StatusCode.isSuccess
def isSuccess(self)
Definition: Main.py:19
Gaudi.Main.BootstrapHelper.StatusCode.value
value
Definition: Main.py:13

## Member Data Documentation

Gaudi.Main.BootstrapHelper.StatusCode.__nonzero__ = __bool__
| static private

Definition at line 17 of file Main.py.

Gaudi.Main.BootstrapHelper.StatusCode.value

Definition at line 13 of file Main.py.

The documentation for this class was generated from the following file:

- Gaudi/python/Gaudi/Main.py